png++ 0.2.10

Public Member Functions | List of all members
png::color Struct Reference

PNG color struct extension. Adds constructors. More...

`#include <color.hpp>`

Inheritance diagram for png::color:

## Public Member Functions
| color (byte r=0, byte g=0, byte b=0)
| color (png_color const &other)
| Initializes color with a copy of png_color object.

## Detailed Description

PNG color struct extension. Adds constructors.

## Constructor & Destructor Documentation

## ◆ color() [1/2]

png::color::color | ( | byte | r = 0,
|  | byte | g = 0,
|  | byte | b = 0 )
| inline explicit

## ◆ color() [2/2]

png::color::color | ( | png_color const & | other | ) |
| inline

Initializes color with a copy of png_color object.

The documentation for this struct was generated from the following file:

- color.hpp